# Enum SleepStageSupport

java.lang.Object
java.lang.Enum<SleepStageSupport>
com.codename1.health.SleepStageSupport

All Implemented Interfaces:
  `Comparable<SleepStageSupport>`

public enum SleepStageSupport extends Enum<SleepStageSupport>

How much stage detail a `SleepSample` actually carries.

A queryable fact rather than something to infer from the data, because the three cases need different UI and the difference is not the app's fault: a phone-inferred session and a watch-recorded one are the same type carrying different fidelity.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASLEEP_AWAKE`
  Asleep and awake spans only, with no breakdown of the asleep time.
  `NONE`
  No stage intervals at all -- the session knows when it started and ended and nothing else.
  `STAGED`
  A real hypnogram: at least one of `SleepStage.LIGHT`, `SleepStage.CORE`, `SleepStage.DEEP` or `SleepStage.REM`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SleepStageSupport`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SleepStageSupport[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SleepStageSupport NONE
    No stage intervals at all -- the session knows when it started and ended and nothing else.

  - ### ASLEEP_AWAKE

    public static final SleepStageSupport ASLEEP_AWAKE
    Asleep and awake spans only, with no breakdown of the asleep time. A phone-inferred session, or an iOS session recorded before the stage values arrived in iOS 16.

  - ### STAGED

    public static final SleepStageSupport STAGED
    A real hypnogram: at least one of `SleepStage.LIGHT`, `SleepStage.CORE`, `SleepStage.DEEP` or `SleepStage.REM`.

- ## Method Details

  - ### values

    public static SleepStageSupport[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SleepStageSupport valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null